#! /usr/bin/perl

use strict;
use warnings;

use lib qw(../lib);
use CGI qw(escapeHTML);
use Lingua::JA::Summarize;


my $q = new CGI;

print $q->header(-charset => 'euc-jp');

my $text = $q->param('txt') || '';
if ($text) {
    print "Keywords: ";
    my $s = Lingua::JA::Summarize->new;
    $s->analyze($text);
    print join(' ', $s->keywords({
	maxwords => $q->param('maxwords') || 5,
	threshold => $q->param('threshold') || 5,
    }));
}

$text =~ escapeHTML($text);

print << "EOT";
<hr>
<form method="post">
<textarea name="txt" rows="25" cols="80">$text</textarea>
<br>
Number of Keywords: <select name="maxwords"><option>5<option>10<option>20</select><br>
Threshold: <select name="threshold"><option>3<option selected>5<option>7<option>10<option>15</select>
<br>
<input type="submit" value="Submit">
</form>
EOT
